Subject: Drive that new car today

From: "New Car News" <[email-masked]>
Date: Sun, 31 Oct 2004 20:45:24 -0800

Received: from above.proper.com (localhost.vpnc.org [127.0.0.1]) by above.proper.com (8.12.11/8.12.9) with ESMTP id i9MIF4OS078600; Fri, 22 Oct 2004 11:15:04 -0700 (PDT) (envelope-from [email-masked])
Received: (from majordom@localhost) by above.proper.com (8.12.11/8.12.9/Submit) id i9MIF4lu078599; Fri, 22 Oct 2004 11:15:04 -0700 (PDT)
X-Authentication-Warning: above.proper.com: majordom set sender to [email-masked] using -f
Received: from foon.sendmail.com (tls.sendmail.com [209.246.26.40]) by above.proper.com (8.12.11/8.12.9) with ESMTP id i9MIF4MB078589 for ; Fri, 22 Oct 2004 11:15:04 -0700 (PDT) (envelope-from [email-masked])
Received: from sendmail.com ([192.168.0.5]) by foon.sendmail.com (Switch-3.1.7/Switch-3.1.7) with ESMTP id i9MIF44J010682 (version=TLSv1/SSLv3 cipher=RC4-MD5 bits=128 verify=OK) for ; Fri, 22 Oct 2004 11:15:05 -0700
X-DomainKeys: Sendmail DomainKeys Filter v0.2.2 foon.sendmail.com i9MIF44J010682
DomainKey-Signature: a=rsa-sha1; s=tls; d=sendmail.com; c=nofws; q=dns; b=J9FaOF5nkhPDmMPwtI2PWSvDleeb0dFZ7TNV+CeED3uY98q+Em0axXs38LIgJcSf+ 7wrVhTrkYH6ouLWWwVZTowNev/nM3c9Pen8sg0Gh6VWIcnRniJByIGrP+qYywqy3TfB PLpd0LrULE06pto+DB8qYaEdzfzFFhZCfqMVl54=
Message-ID: <[email-masked]>
Date: Fri, 22 Oct 2004 11:15:04 -0700
From: Blake Ramsdell
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5) Gecko/20031007
X-Accept-Language: en-us, en
MIME-Version: 1.0
To: [email-masked]
Subject: No meeting at IETF 61 in Washington DC
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

The S/MIME working group will not be meeting in Washington DC.

The remaining open issues and current status for this working group do
not seem to warrant a full-blown face-to-face meeting.

Blake
--
Blake Ramsdell | Sendmail, Inc. | http://www.sendmail.com

Received: from above.proper.com (localhost.vpnc.org [127.0.0.1]) by above.proper.com (8.12.11/8.12.9) with ESMTP id i9FJr1h5043069; Fri, 15 Oct 2004 12:53:01 -0700 (PDT) (envelope-from [email-masked])
Received: (from majordom@localhost) by above.proper.com (8.12.11/8.12.9/Submit) id i9FJr1H0043068; Fri, 15 Oct 2004 12:53:01 -0700 (PDT)
X-Authentication-Warning: above.proper.com: majordom set sender to [email-masked] using -f
Received: from ietf.org (odin.ietf.org [132.151.1.176]) by above.proper.com (8.12.11/8.12.9) with ESMTP id i9FJqwCv043053 for ; Fri, 15 Oct 2004 12:53:01 -0700 (PDT) (envelope-from [email-masked])
Received: from CNRI.Reston.VA.US (localhost [127.0.0.1]) by ietf.org (8.9.1a/8.9.1a) with ESMTP id PAA04312; Fri, 15 Oct 2004 15:53:00 -0400 (EDT)
Message-Id: <[email-masked]>
Mime-Version: 1.0
Content-Type: Multipart/Mixed; Boundary="NextPart"
To: [email-masked]
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-smime-certcapa-00.txt
Date: Fri, 15 Oct 2004 15:53:00 -0400
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the S/MIME Mail Security Working Group of the IETF.

Title : Certificate extension for S/MIME Capabilities
Author(s) : S. Santesson
Filename : draft-ietf-smime-certcapa-00.txt
Pages : 5
Date : 2004-10-15

This document defines a certificate extension for inclusion of S/MIME
capabilities in public key certificates defined by RFC 3280.

S/MIME Capabilities provides an optional method to communicate
cryptographic capabilities of the certified subject as a complement
to use of the S/MIME Capabilities signed attribute in S/MIME messages
according to RFC 3851.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-certcapa-00.txt

To remove yourself from the I-D Announcement list, send a message to
[email-masked] with the word unsubscribe in the body of the message.
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
"get draft-ietf-smime-certcapa-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
[email-masked].
In the body type:
"FILE /internet-drafts/draft-ietf-smime-certcapa-00.txt".

NOTE: The mail server at ietf.org can return the document in
MIME-encoded form by using the "mpack" utility. To use this
feature, insert the command "ENCODING mime" before the "FILE"
command. To decode the response(s), you will need "munpack" or
a MIME-compliant mail reader. Different MIME-compliant mail readers
exhibit different behavior, especially when dealing with
"multipart" MIME messages (i.e. documents which have been split
up into multiple messages), so check your local documentation on
how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
access-type="mail-server";
server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-smime-certcapa-00.txt

--OtherAccess
Content-Type: Message/External-body;
name="draft-ietf-smime-certcapa-00.txt";
site="ftp.ietf.org";
access-type="anon-ftp";
directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--OtherAccess--

--NextPart--

Received: from above.proper.com (localhost.vpnc.org [127.0.0.1]) by above.proper.com (8.12.11/8.12.9) with ESMTP id i9EKIIHN048938; Thu, 14 Oct 2004 13:18:18 -0700 (PDT) (envelope-from [email-masked])
Received: (from majordom@localhost) by above.proper.com (8.12.11/8.12.9/Submit) id i9EKIIg5048937; Thu, 14 Oct 2004 13:18:18 -0700 (PDT)
X-Authentication-Warning: above.proper.com: majordom set sender to [email-masked] using -f
Received: from woodstock.binhost.com (woodstock.binhost.com [144.202.240.3]) by above.proper.com (8.12.11/8.12.9) with SMTP id i9EKIHXm048923 for ; Thu, 14 Oct 2004 13:18:18 -0700 (PDT) (envelope-from [email-masked])
Received: (qmail 27329 invoked by uid 0); 14 Oct 2004 20:18:15 -0000
Received: from unknown (HELO Russ-Laptop.vigilsec.com) (138.88.154.38) by woodstock.binhost.com with SMTP; 14 Oct 2004 20:18:15 -0000
Message-Id: <[email-masked]>
X-Sender: [email-masked]
X-Mailer: QUALCOMM Windows Eudora Version 6.1.2.0
Date: Thu, 14 Oct 2004 16:18:09 -0400
To: "Dieter Bratko" , "SMIME"
From: Russ Housley
Subject: Re: To Meet or Not
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"; format=flowed
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

I just reran my test code from the development of this RFC, and you are
correct.

I do not remember if we used my code or Jim's code to generate the test
vector data for the RFC, but the PAD value is incorrect in the RFC.

>hmac_3des_key_wrap
3DES KEK :
KEK Key 1 : 5840df6e 29b02af1
KEK Key 2 : ab493b70 5bf16ea1
KEK Key 3 : ae8338f4 dcc176a8

Length (L) : 14

KEY : c37b7e64 92584340
: bed12207 80894115
: 5068f738

PAD : be62fe

ICV : 1f363a31 cdaa9037

LKEYPADICV : 14c37b7e 64925843
: 40bed122 07808941
: 155068f7 38be62fe
: 1f363a31 cdaa9037

IV : 050d8c79 e0d56b75

TEMP1 : 157a8210 f432836b
: a618b096 475c864b
: 6612969c dfa445b1
: 5646bd00 500b2cc1

TEMP2 : 050d8c79 e0d56b75
: 157a8210 f432836b
: a618b096 475c864b
: 6612969c dfa445b1
: 5646bd00 500b2cc1

TEMP3 : c12c0b50 00bd4656
: b145a4df 9c961266
: 4b865c47 96b018a6
: 6b8332f4 10827a15
: 756bd5e0 798c0d05

Wrapped Key : 0f1d715d 75a0aaf6
: 6f02e371 c08b79e2
: a1253dc4 3040136b
: dc161118 601f2863
: e2929b3b dd17697c

At 11:14 AM 10/14/2004, Dieter Bratko wrote:

>Hello,
>
>there seems to be a typo in the HMACwith3DESwrap test vector (chapter 3.4)
>of RFC 3537. The PAD value is given as 38be62; but should be be62fe (see
>LKEYPADICV)?
>
>Regards,
>Dieter Bratko
>
>---------
>Dieter Bratko, mailto:[email-masked]
>SIC - Stiftung Secure Information and Communication Technologies
>IAIK, Inffeldgasse 16a, 8010 Graz, Austria, http://jce.iaik.tugraz.at/

Received: from above.proper.com (localhost.vpnc.org [127.0.0.1]) by above.proper.com (8.12.11/8.12.9) with ESMTP id i9EFWVkZ007813; Thu, 14 Oct 2004 08:32:31 -0700 (PDT) (envelope-from [email-masked])
Received: (from majordom@localhost) by above.proper.com (8.12.11/8.12.9/Submit) id i9EFWVsY007812; Thu, 14 Oct 2004 08:32:31 -0700 (PDT)
X-Authentication-Warning: above.proper.com: majordom set sender to [email-masked] using -f
Received: from mail-eur1.microsoft.com (mail-eur1.microsoft.com [213.199.128.139]) by above.proper.com (8.12.11/8.12.9) with ESMTP id i9EFWTpj007773 for ; Thu, 14 Oct 2004 08:32:29 -0700 (PDT) (envelope-from [email-masked])
Received: from EUR-MSG-03.europe.corp.microsoft.com ([65.53.192.44]) by mail-eur1.microsoft.com with Microsoft SMTPSVC(6.0.3790.0); Thu, 14 Oct 2004 16:32:34 +0100
X-MimeOLE: Produced By Microsoft Exchange V6.5.7226.0
Content-class: urn:content-classes:message
MIME-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Subject: RE: To Meet or Not
Date: Thu, 14 Oct 2004 16:32:17 +0100
Message-ID: <[email-masked]>
X-MS-Has-Attach:
X-MS-TNEF-Correlator:
Thread-Topic: To Meet or Not
Thread-Index: AcSx9cumPywfdYGiTWqjktmrZ6SjFQADM51w
From: "Stefan Santesson"
To: "Sean P. Turner" , "SMIME"
X-OriginalArrivalTime: 14 Oct 2004 15:32:34.0902 (UTC) FILETIME=[0738B760:01C4B203]
Content-Transfer-Encoding: 8bit
X-MIME-Autoconverted: from quoted-printable to 8bit by above.proper.com id i9EFWUpj007805
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

>From my perspective I think the S/MIME Capabilities draft should be ready for WG last call after next IETF. In the event that a meeting would be supportive of that process, I vote for having a meeting in Washington.

Stefan Santesson
Microsoft Security Center of Excellence (SCOE)

________________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Sean P. Turner
Sent: den 14 oktober 2004 15:25
To: SMIME
Subject: To Meet or Not

All,

At the last meeting in San Diego we determined that the list should decide whether we hold future meetings.  Here's the list of open issues for this meeting:
- Symkeydist - it's still going to be pinned by CMC
- PSS - it's still going to be pinned by PSS in PKIX
- KEM - it's still going to be pinned/waiting on ANSI
- Static S/MIME Capabilities (i.e., cert extension) - new draft?
- ESS Update - any news?
- GOST - any news?

So a couple of questions:
- Are there any other issues that ought to be addressed?
- Do we believe there is enough to warrant a meeting?

I'll be soliciting input on whether we should have a meeting until 20 October 2004.  Silence means no meeting.

spt

Received: from above.proper.com (localhost.vpnc.org [127.0.0.1]) by above.proper.com (8.12.11/8.12.9) with ESMTP id i9EFF4Dj005735; Thu, 14 Oct 2004 08:15:04 -0700 (PDT) (envelope-from [email-masked])
Received: (from majordom@localhost) by above.proper.com (8.12.11/8.12.9/Submit) id i9EFF4Zd005734; Thu, 14 Oct 2004 08:15:04 -0700 (PDT)
X-Authentication-Warning: above.proper.com: majordom set sender to [email-masked] using -f
Received: from mailrelay01.tugraz.at (mailrelay.tu-graz.ac.at [129.27.3.7]) by above.proper.com (8.12.11/8.12.9) with ESMTP id i9EFF3oL005699 for ; Thu, 14 Oct 2004 08:15:03 -0700 (PDT) (envelope-from [email-masked])
Received: from iaik.at (mailhost.iaik.tu-graz.ac.at [129.27.152.30]) by mailrelay01.tugraz.at (8.13.1/8.13.1) with ESMTP id i9EFEvJr020373 for ; Thu, 14 Oct 2004 17:14:57 +0200 (CEST)
Received: from edison [129.27.152.96] by iaik.at (SMTPD32-7.07) id A7F16E005C; Thu, 14 Oct 2004 17:14:57 +0200
Message-ID: <[email-masked]>
From: "Dieter Bratko"
To: "SMIME"
References: <[email-masked]>
Subject: Re: To Meet or Not
Date: Thu, 14 Oct 2004 17:14:56 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Outlook Express 6.00.2800.1437
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2800.1441
X-Scanned-By: MIMEDefang 2.45
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

Hello,

there seems to be a typo in the HMACwith3DESwrap test vector (chapter 3.4)
of RFC 3537. The PAD value is given as 38be62; but should be be62fe (see
LKEYPADICV)?

Regards,
Dieter Bratko

---------
Dieter Bratko, mailto:[email-masked]
SIC - Stiftung Secure Information and Communication Technologies
IAIK, Inffeldgasse 16a, 8010 Graz, Austria, http://jce.iaik.tugraz.at/

Received: from above.proper.com (localhost.vpnc.org [127.0.0.1]) by above.proper.com (8.12.11/8.12.9) with ESMTP id i9EDQDsq085278; Thu, 14 Oct 2004 06:26:13 -0700 (PDT) (envelope-from [email-masked])
Received: (from majordom@localhost) by above.proper.com (8.12.11/8.12.9/Submit) id i9EDQDDD085277; Thu, 14 Oct 2004 06:26:13 -0700 (PDT)
X-Authentication-Warning: above.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp001.bizmail.yahoo.com (smtp001.bizmail.yahoo.com [216.136.172.125]) by above.proper.com (8.12.11/8.12.9) with SMTP id i9EDQCH7085271 for ; Thu, 14 Oct 2004 06:26:12 -0700 (PDT) (envelope-from [email-masked])
Received: from unknown (HELO ieca.com) ([email-masked]@70.21.22.131 with plain) by smtp001.bizmail.yahoo.com with SMTP; 14 Oct 2004 13:26:12 -0000
Message-ID: <[email-masked]>
Date: Thu, 14 Oct 2004 09:25:02 -0400
From: "Sean P. Turner"
Organization: IECA, Inc.
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4) Gecko/20030624 Netscape/7.1 (ax)
X-Accept-Language: en-us, en
MIME-Version: 1.0
To: SMIME
Subject: To Meet or Not
Content-Type: text/html; charset=us-ascii
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

All,

At the last meeting in San Diego we determined that the list should
decide whether we hold future meetings.  Here's the list of open issues
for this meeting:

- Symkeydist - it's still going to be pinned by CMC

- PSS - it's still going to be pinned by PSS in PKIX

- KEM - it's still going to be pinned/waiting on ANSI

- Static S/MIME Capabilities (i.e., cert extension) - new draft?

- ESS Update - any news?

- GOST - any news?

So a couple of questions:

- Are there any other issues that ought to be addressed?

- Do we believe there is enough to warrant a meeting?

I'll be soliciting input on whether we should have a meeting until 20
October 2004.  Silence means no meeting.

spt

Received: from above.proper.com (localhost.vpnc.org [127.0.0.1]) by above.proper.com (8.12.11/8.12.9) with ESMTP id i96HvJ8P083724; Wed, 6 Oct 2004 10:57:19 -0700 (PDT) (envelope-from [email-masked])
Received: (from majordom@localhost) by above.proper.com (8.12.11/8.12.9/Submit) id i96HvJ1a083723; Wed, 6 Oct 2004 10:57:19 -0700 (PDT)
X-Authentication-Warning: above.proper.com: majordom set sender to [email-masked] using -f
Received: from woodstock.binhost.com (woodstock.binhost.com [144.202.240.3]) by above.proper.com (8.12.11/8.12.9) with SMTP id i96HvIIn083715 for ; Wed, 6 Oct 2004 10:57:19 -0700 (PDT) (envelope-from [email-masked])
Received: (qmail 5882 invoked by uid 0); 6 Oct 2004 17:57:17 -0000
Received: from unknown (HELO Russ-Laptop.vigilsec.com) (64.221.254.66) by woodstock.binhost.com with SMTP; 6 Oct 2004 17:57:17 -0000
Message-Id: <[email-masked]>
X-Sender: [email-masked]
X-Mailer: QUALCOMM Windows Eudora Version 6.1.2.0
Date: Wed, 06 Oct 2004 13:57:02 -0400
To: [email-masked]
From: Russ Housley
Subject: Server-Aided Signing
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"; format=flowed
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

This was posted to the MASS BoF mail list. I think it will be interesting
to members of this list too.

Russ

= = = = = = =

[snip]

For those who want to see research into automated S/MIME signing, I'd would
recommend the following document:
http://sconce.ics.uci.edu/sucses/publications/sas_ndss02.pdf